package com.ruoyi.nanjing.mapper;

import java.util.List;
import com.ruoyi.nanjing.domain.TBdSubstation;

/**
 * 工位管理Mapper接口
 * 
 * @author limy
 * @date 2021-01-22
 */
public interface TBdSubstationMapper 
{
    /**
     * 查询工位管理
     * 
     * @param ID 工位管理ID
     * @return 工位管理
     */
    public TBdSubstation selectTBdSubstationById(Long ID);

    /**
     * 查询工位管理列表
     * 
     * @param tBdSubstation 工位管理
     * @return 工位管理集合
     */
    public List<TBdSubstation> selectTBdSubstationList(TBdSubstation tBdSubstation);

    /**
     * 新增工位管理
     * 
     * @param tBdSubstation 工位管理
     * @return 结果
     */
    public int insertTBdSubstation(TBdSubstation tBdSubstation);

    /**
     * 修改工位管理
     * 
     * @param tBdSubstation 工位管理
     * @return 结果
     */
    public int updateTBdSubstation(TBdSubstation tBdSubstation);

    /**
     * 删除工位管理
     * 
     * @param ID 工位管理ID
     * @return 结果
     */
    public int deleteTBdSubstationById(Long ID);

    /**
     * 批量删除工位管理
     * 
     * @param IDs 需要删除的数据ID
     * @return 结果
     */
    public int deleteTBdSubstationByIds(String[] IDs);
}
